/*
 * Header information for JUMA-TRX2 External Keyboard
 *
 * OH2NLT / Juha Niinikoski 13.03.2007
 *
*/

/* Constants and definitions */

//#define	PIC_CLK		4000000	// oscillator frequency
#define	PIC_CLK		1843200	// oscillator frequency, save power use lower frequency


/* I/O definitions */

/* Port A */

#define	PORTA_INIT	0x00
#define TRISA_INIT	0x1F		// All inputs

/* Port B */

#define	PORTB_INIT	0x00
#define	TRISB_INIT	0xFB		// RB2 = out, others = in

#define	TRISB_DEBUG	0xFA		// RB0 = test out, RB2 = out, others = in

/* Other IO */

#define	CMCON_INIT	0x07		// comparators off


/* Define I/O signals */
#define	SW1			RB7			// Push button switches
#define	SW2			RB6
#define	SW3			RB5
#define	SW4			RB4
#define	SW5			RA0
#define	SW6			RA1
#define	SW7			RA2
#define	SW8			RA3
#define	SW9			RB3
#define	SW10		RA4

#define	SW11		RB0			// Case / Mode select switch

#define TEST		RB0			// test output for debug

/*   Define unsigned data types   */

#ifndef _BYTE_DEFINED_
#define _BYTE_DEFINED_

typedef unsigned char BYTE;
typedef unsigned int WORD;
typedef unsigned long LWORD;

#endif


/*   Define Boolean data type   */

#ifndef _BOOL_DEFINED_
#define _BOOL_DEFINED_

typedef BYTE BOOL;

#define FALSE 0
#define TRUE 1

#endif

/*   Define null pointer   */

#ifndef NULL
#define NULL (void *)0
#endif


